Announcement

Collapse
No announcement yet.

New Raspbian Stretch and feeding FR24

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • lemmy98
    replied
    Originally posted by jrf View Post
    Is there a reason to change? If you answer this question for yourself with YES then you might want to just do a new installation on a new SD card just for getting a clean installation? As a fall-back you would still have the "old" SD card?
    "because I can"?

    mainly, puppet. debian jessie is too old to play cleanly with my puppetmaster. and since all other raspis are on stretch now my flightpi should be, too.

    that being said, I just jumped off the cliff and did a debian style distribution upgrade to stretch, and so far all is well, and it feeds as it should.

    Leave a comment:


  • jrf
    replied
    Is there a reason to change? If you answer this question for yourself with YES then you might want to just do a new installation on a new SD card just for getting a clean installation? As a fall-back you would still have the "old" SD card?

    Leave a comment:


  • lemmy98
    replied
    ...anyone?

    Leave a comment:


  • lemmy98
    replied
    sort of related question...

    I installed my "flightpi" with the image you get in th "build your own" section on the flightradar website, but that was back then still based on debian 8 jessie.

    Would it break my fr24 feeder if I changed to stretch in sources.conf and did a dist upgrade?

    Cheers
    MH

    Leave a comment:


  • jaxxtheone
    replied
    All set! Just donīt forget to install the dirmngr packet.

    "sudo apt-get install dirmngr"

    Thanks folks!

    Leave a comment:


  • elljay
    replied
    Just set up a Pi and also had to install dirmngr separately. All went smoothly after that.

    Leave a comment:


  • jaxxtheone
    replied
    Originally posted by Oblivian View Post
    Apt-get update, apt-get upgrade

    Retry. Missing app dirmngr.
    Thanks!
    Not sure if this was the culprit as Iīve managed to have the fr24 .deb and installed without problem, earlier.
    For the sake of test your solution I īve done the update/upgrade but it returned no file to be upgraded.
    Actually after some thinking I punched a "sudo apt-get install dirmngr" and that one was missing.
    Go figure..
    Had a similar problem with ADSB-Exchange graphs and fiddled a lot before having all packages on the correct versions, maybe thatīs when I updated/upgraded and missed the dirmngr installed.
    Now everything is crunching as expected.
    Last edited by jaxxtheone; 2017-08-21, 20:51.

    Leave a comment:


  • Oblivian
    replied
    Apt-get update, apt-get upgrade

    Retry. Missing app dirmngr.

    Sent from my XT1092 using Tapatalk

    Leave a comment:


  • jaxxtheone
    replied
    It looks like this:

    Sorry, had to omit the wget command

    pi@raspberrypi:~ $ sudo bash -c ...
    ..... 52.216.16.43
    Connecting to repo.feed.flightradar24.com (repo.feed.flightradar24.com)|52.216.16.43|:80... connected.
    HTTP request sent, awaiting response... 200 OK
    Length: 921 [text/x-sh]
    Saving to: ‘STDOUT’

    - 100%[===================>] 921 --.-KB/s in 0.001s

    2017-08-21 15:12:49 (1.54 MB/s) - written to stdout [921/921]

    gpg: failed to start the dirmngr '/usr/bin/dirmngr': No such file or directory
    gpg: connecting dirmngr at '/root/.gnupg/S.dirmngr' failed: No such file or directory
    gpg: keyserver receive failed: No dirmngr

    Leave a comment:


  • jaxxtheone
    started a topic New Raspbian Stretch and feeding FR24

    New Raspbian Stretch and feeding FR24

    Did a new install because of many issues on my Raspberry Pi and now the instructions on installing FR24 on new Raspbian Stretch (lLite) doenīt work anymore.
    The main problem are the "gpg" keys are not accepted.
    This is a heads-up about the problem but I want to continue feeding data to FR24 and donīt know how to proceed.
    Thanks!
Working...
X